#!/bin/bash

set -e

POSTGRES_PASSWORD=${POSTGRES_PASSWORD}
POSTGRES_USER=${POSTGRES_USER}
POSTGRES_DB=${POSTGRES_DB}
POSTGRES_AIRFLOW_DB=${POSTGRES_AIRFLOW_DB}
POSTGRES_AIRFLOW_USER=${POSTGRES_AIRFLOW_USER}
POSTGRES_AIRFLOW_PASSWORD=${POSTGRES_AIRFLOW_PASSWORD}

DB_DWH_USER=${DB_DWH_USER}
DB_DWH_PASSWORD=${DB_DWH_PASSWORD}
DB_DWH_HOSTNAME=${DB_DWH_HOSTNAME}
DB_DWH_PORT=${DB_DWH_PORT}
DB_DWH_DATABASE=${DB_DWH_DATABASE}


psql -v --username "$POSTGRES_USER" --dbname "$POSTGRES_DB"   <<-EOSQL
   CREATE USER $POSTGRES_AIRFLOW_USER;
   CREATE DATABASE $POSTGRES_AIRFLOW_DB;
   GRANT ALL PRIVILEGES ON DATABASE $POSTGRES_AIRFLOW_DB TO $POSTGRES_AIRFLOW_USER;
EOSQL

psql -v --username "$POSTGRES_USER" --dbname "$POSTGRES_DB"   <<-EOSQL
   CREATE USER $DB_DWH_USER WITH PASSWORD '$DB_DWH_PASSWORD';
   CREATE DATABASE $DB_DWH_DATABASE;
   GRANT ALL PRIVILEGES ON DATABASE $DB_DWH_DATABASE TO $DB_DWH_USER;
EOSQL
